[squeak-dev] Re: $- in binary selectors

Andreas Raab andreas.raab at gmx.de
Thu Feb 25 01:01:38 UTC 2010

Nicolas Cellier wrote:
> This would also mean breaking some packages.
> One known workaround is to implement @- (main cause of error)

A big fat +1 on this idea. I really don't like breaking packages for no 
good reason and your list really gave me headaches (if a dozen packages 
inside the image are affected one can't help but wonder about external 
ones). How about implementing @- and signaling a deprecation warning as 

   - Andreas

More information about the Squeak-dev mailing list